<!DOCTYPE html>

<html lang="en">

{% load static %}

<head>
    <title>My FUFU</title>
    <link rel="icon" href="{% static 'icon.png' %}" type="icon">
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    {% include 'navbarFufu.html' %}
</head>

<body>

<main>
    <div class="m-4 p-4">
        <form action="" method="post">
            {% csrf_token %}

            <div class="form-group mb-3">

                <label class="form-label" for="id_From">From</label>

                <input type="text" class="form-control form-text" name="From" maxlength="10" placeholder="Write your name" id="id_From" required
                       {% if form.From.value != None %} value="{{ form.From.value }}" {% endif %}>

                <div class="form-check form-check-inline">
                    <input class="form-check-input" type="radio" name="inlineRadioOptions" id="inlineRadio1"
                           value="option1" onchange="username()" checked>
                    <label class="form-check-label" for="inlineRadio1" style="font-size:11px;">Username</label>
                </div>

                <div class="form-check form-check-inline">
                    <input class="form-check-input" type="radio" name="inlineRadioOptions" id="inlineRadio2"
                           value="option2" onchange="custom()">
                    <label class="form-check-label" for="inlineRadio2" style="font-size:11px;">Custom</label>
                </div>

                <div class="form-check form-check-inline">
                    <input class="form-check-input" type="radio" name="inlineRadioOptions" id="inlineRadio3"
                           value="option3" onchange="anon()">
                    <label class="form-check-label" for="inlineRadio3" style="font-size:11px;">Anonymous</label>

                </div>
            </div>

            <div class="form-group mb-3">
                <label class="form-label" for="id_Message">Message</label>
                <textarea class="form-control form-text" name="Message" maxlength="150" placeholder="Write your message ..." style="border-radius: 25px;border-color: black;border-style: solid;" id="id_Message"
                          required>{% if form.Message.value != None %}{{ form.Message.value }}{% endif %}</textarea>
            </div>

            <input class="btn btn-primary" type="submit" value="share">

        </form>

    </div>

</main>

</body>

</html>

<style>
    @import url('https://fonts.googleapis.com/css2?family=Sora:wght@100;300;400&display=swap');

    body {
        margin: 0;
        padding: 0;
        align-items: center;
        justify-content: center;
        min-height: 100vh;
        background-image: url('/static/pattern-randomized.svg');
    }
    * {
        font-family: 'Sora', sans-serif;
    }
    input[type="text"] {
        border-radius: 25px;
        border-color: black;
        border-style: solid;
    }
    input[type="text"]:hover {
        box-shadow: 10px 5px 5px #308a7e;
	}
	textarea:hover {
	    box-shadow: 10px 5px 5px #308a7e;
	}
	input::placeholder {
	    font-size: 13px;
	    color: #c4c4c4;
	    padding: 0 25px;
	}
	textarea {
	height: 59px;
	resize: none;
	}
	textarea::-webkit-scrollbar {
	    width: 0px;
	}
	textarea::placeholder {
	    font-size: 13px;
	    color: #c4c4c4;
	    padding: 0 25px;
	}
    input[type="submit"] {
        border-radius: 25px;
        background-color: #41B3A3;
        color: #f4f4f4;
        filter: drop-shadow(-2px 4px 6px rgba(0, 0, 0, 0.39));
        border: 0px;
        float: right;
        padding: 13px 30px;
        font-size: 15px;
    }
    input[type="submit"]:hover {
        background-color: #308a7e;
        color: #f4f4f4;
    }
</style>

<script>
    const textarea = document.querySelector("textarea");
    textarea.addEventListener("keyup", e =>{
        textarea.style.height = "auto";
        let scHeight = e.target.scrollHeight;
        textarea.style.height = `${scHeight}px`;
    });
    let form_input = $("#id_From")

    function username() {
        form_input.val("{{ user.get_username }}");
        form_input.prop("readonly", true);
    }

    function custom() {
        form_input.val("");
        form_input.prop("readonly", false);
    }

    function anon() {

        form_input.val("Anonymous");
        form_input.prop("readonly", true);
    }

    $("#inlineRadio2").prop("checked", true);
</script>
